Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class AbstractSymbolizer

    java.lang.Object
      org.deegree.graphics.sld.AbstractSymbolizer

All Implemented Interfaces:
  Symbolizer

Direct Known Subclasses:
  LineSymbolizer, PointSymbolizer, PolygonSymbolizer, RasterSymbolizer, TextSymbolizer

    public abstract class AbstractSymbolizer

extends Object
implements Symbolizer

This is the basis of all symbolizers. It defines the method `getGeometry` that's common to all symbolizers.

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp

Field Summary
`protected Geometry` | `geometry` The geometry of the sympbolizer
`protected double` | `maxDenominator` The max denominator initialized with 9E99;
`protected double` | `minDenominator` The min denominator initialized with 0;
`protected String` | `responsibleClass` The class to render.

Constructor Summary
`AbstractSymbolizer()` default constructor
`AbstractSymbolizer(Geometry geometry)` constructor initializing the class with the
`AbstractSymbolizer(Geometry geometry, String resonsibleClass)` constructor initializing the class with the

Method Summary
`Geometry` | `getGeometry()` The Geometry element is optional and if it is absent then the default geometry property of the feature type that is used in the containing FeatureStyleType is used.
`double` | `getMaxScaleDenominator()` The ScaleDenominator-information is optional and determines whether a rule (and thus a Symbolizer) is a to be applied at a certain scale.
`double` | `getMinScaleDenominator()` The ScaleDenominator-information is optional and determines whether a rule (and thus a Symbolizer) is a to be applied at a certain scale.
`String` | `getResponsibleClass()` returns the name of a class that will be used for rendering the current symbolizer.
`void` | `setGeometry(Geometry geometry)` sets the
`void` | `setMaxScaleDenominator(double maxDenominator)` Sets the MaxScaleDenominator
`void` | `setMinScaleDenominator(double minDenominator)` Sets the MinScaleDenominator
`void` | `setResponsibleClass(String responsibleClass)` sets a class that will be used for rendering the current symbolizer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxDenominator

    protected double maxDenominator

  The max denominator initialized with 9E99;

### minDenominator

    protected double minDenominator

  The min denominator initialized with 0;

### geometry

    protected Geometry geometry

  The geometry of the sympbolizer

### responsibleClass

    protected String responsibleClass

  The class to render.

Constructor Detail

### AbstractSymbolizer

    AbstractSymbolizer()

  default constructor

### AbstractSymbolizer

    AbstractSymbolizer(Geometry geometry)

  constructor initializing the class with the

  Parameters:
    `geometry` -

### AbstractSymbolizer

    AbstractSymbolizer(Geometry geometry,
                       String resonsibleClass)

  constructor initializing the class with the

  Parameters:
    `geometry` -
    `resonsibleClass` -

Method Detail

### getGeometry

    public Geometry getGeometry()

  The Geometry element is optional and if it is absent then the default geometry property of the feature type that is used in the containing FeatureStyleType is used. The precise meaning of default geometry property is system-dependent. Most frequently, feature types will have only a single geometry property.

  Specified by:
    `getGeometry` in interface `Symbolizer`
  Returns:
    the geometry of the symbolizer

### setGeometry

    public void setGeometry(Geometry geometry)

  sets the

  Specified by:
    `setGeometry` in interface `Symbolizer`
  Parameters:
    `geometry` - the geometry of the symbolizer

### getMinScaleDenominator

    public double getMinScaleDenominator()

  Description copied from interface: `Symbolizer`
  The ScaleDenominator-information is optional and determines whether a rule (and thus a Symbolizer) is a to be applied at a certain scale.

  Specified by:
    `getMinScaleDenominator` in interface `Symbolizer`
  Returns:
    the MinScaleDenominator

### setMinScaleDenominator

    public void setMinScaleDenominator(double minDenominator)

  Description copied from interface: `Symbolizer`
  Sets the MinScaleDenominator

  Specified by:
    `setMinScaleDenominator` in interface `Symbolizer`
  Parameters:
    `minDenominator` - the MinScaleDenominator

### getMaxScaleDenominator

    public double getMaxScaleDenominator()

  Description copied from interface: `Symbolizer`
  The ScaleDenominator-information is optional and determines whether a rule (and thus a Symbolizer) is a to be applied at a certain scale.

  Specified by:
    `getMaxScaleDenominator` in interface `Symbolizer`
  Returns:
    the MaxScaleDenominator

### setMaxScaleDenominator

    public void setMaxScaleDenominator(double maxDenominator)

  Description copied from interface: `Symbolizer`
  Sets the MaxScaleDenominator

  Specified by:
    `setMaxScaleDenominator` in interface `Symbolizer`
  Parameters:
    `maxDenominator` - the MaxScaleDenominator

### getResponsibleClass

    public String getResponsibleClass()

  returns the name of a class that will be used for rendering the current symbolizer. This enables a user to define his own rendering class (DisplayElement) for a symbolizer to realize styles/renderings that can't be defined using SLD at the moment.
  The returned class must extend org.deegree_impl.graphics.displayelements.GeometryDisplayElement_Impl
  For default the method returns the deegree default class name for rendering the current symbolizer.

  Returns:
    the name of a class that will be used for rendering the current symbolizer.

### setResponsibleClass

    public void setResponsibleClass(String responsibleClass)

  sets a class that will be used for rendering the current symbolizer. This enables a user to define his own rendering class (DisplayElement) for a symbolizer to realize styles/renderings that can't be defined using SLD at the moment.
  The passed class must extend org.deegree_impl.graphics.displayelements.GeometryDisplayElement_Impl

  Parameters:
    `responsibleClass` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org